Delete Contact Image
Contents
Remove Contact Image
Base URL
https://apimobile.callproof.com
Endpoint
/api/contact/{id}/image/{image_id}
Purpose
Deletes a specific image associated with a contact.
HTTP Method
DELETE
Headers
| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer access token |
Security
- Yes – Requires Bearer Token authentication.
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| id | integer | Yes | Unique identifier of the contact |
| image_id | integer | Yes | Unique identifier of the image to delete |
Query Parameters
None.
Request Body
None.
cURL Example for Android
curl --location --request DELETE 'https://apimobile.callproof.com/api/contact/{id}/image/{image_id}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
cURL Example for iOS
curl --location --request DELETE 'https://apimobile.callproof.com/api/contact/{id}/image/{image_id}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Successful Response (200)
Indicates that the image was deleted successfully.
| Field | Type | Description |
|---|---|---|
| clientStatusCode | integer | Status indicator for the client (for example, 200) |
| user_id | integer | Identifier of the authenticated user |
| company_id | integer | Identifier of the authenticated user’s company |
| message | string | Confirmation message (for example, "The image was successfully deleted.") |
| uri | string | Requested resource URI |
Error Responses
| Status Code | Meaning |
|---|---|
| 400 | Bad Request – the image could not be deleted |
| 401 | Unauthorized – missing, invalid, or expired Bearer token |
- 400 – Invalid image ID ("Contact Image Id is Invalid"), or another error while deleting the image.
- 401 – Authentication failed or the access token is missing/expired.